# eregi_replace

(PHP 4, PHP 5)

eregi_replace — Replace regular expression case insensitive

Warning

This function was DEPRECATED in PHP 5.3.0, and REMOVED in PHP 7.0.0.

Alternatives to this function include:

- preg_replace() (with the i (`PCRE_CASELESS`) modifier)

### Description

eregi_replace ( string `$pattern` , string `$replacement` , string `$string` ) : string

This function is identical to ereg_replace() except that this ignores case distinction when matching alphabetic characters.

### Parameters

`pattern`

  A POSIX extended regular expression.

`replacement`

  If `pattern` contains parenthesized substrings, `replacement` may contain substrings of the form \digit, which will be replaced by the text matching the digit'th parenthesized substring; \0 will produce the entire contents of string. Up to nine substrings may be used. Parentheses may be nested, in which case they are counted by the opening parenthesis.

`string`

  The input string.

### Return Values

The modified string is returned. If no matches are found in `string`, then it will be returned unchanged.

### Examples

Example #1 Highlight search results

`<?php
$pattern = '(>[^<]*)('. quotemeta($_GET['search']) .')';
$replacement = '\\1<span class="search">\\2</span>';
$body = eregi_replace($pattern, $replacement, $body);
?>`

### See Also

- ereg() - Regular expression match
- eregi() - Case insensitive regular expression match
- ereg_replace() - Replace regular expression
- preg_replace() - Perform a regular expression search and replace
- quotemeta() - Quote meta characters